services:

    whisper_worker_1:
        image: gitlab.clarin-pl.eu:5050/markowanga/asr-benchmarks/whisper-worker:latest
        command: poetry run python new_datasets/whisper_asr_runner.py
        environment:
            WHISPER_MODEL: 'base'
        deploy:
            resources:
                reservations:
                    devices:
                        -   driver: nvidia
                            capabilities: [ gpu ]

    whisper_worker_2:
        image: gitlab.clarin-pl.eu:5050/markowanga/asr-benchmarks/whisper-worker:latest
        command: poetry run python new_datasets/whisper_asr_runner.py
        environment:
            WHISPER_MODEL: 'small'
        deploy:
            resources:
                reservations:
                    devices:
                        -   driver: nvidia
                            capabilities: [ gpu ]

    whisper_worker_3:
        image: gitlab.clarin-pl.eu:5050/markowanga/asr-benchmarks/whisper-worker:latest
        command: poetry run python new_datasets/whisper_asr_runner.py
        environment:
            WHISPER_MODEL: 'tiny'
        deploy:
            resources:
                reservations:
                    devices:
                        -   driver: nvidia
                            capabilities: [ gpu ]
